## milk.data
Class MIDataSample

    java.lang.Object
      |
      +--milk.data.MIDataSample

public class MIDataSample
extends java.lang.Object

Generate n-dimensional 2-class MI data using instance-based approach sample version

Constructor Summary
`MIDataSample()`

Method Summary
`protected double` `exemplarPosterior(double[][] x, double[] beta, java.util.Random ran, int[] c)`
`void` `generateData(java.lang.String[] args)`
`static void` `main(java.lang.String[] args)`
`protected double` `nextPoint(double x0, java.util.Random ran, double range)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MIDataSample

    public MIDataSample()

Method Detail

### main

    public static void main(java.lang.String[] args)

### generateData

    public void generateData(java.lang.String[] args)
                      throws java.lang.Exception

    `java.lang.Exception`

### exemplarPosterior

    protected double exemplarPosterior(double[][] x,
                                       double[] beta,
                                       java.util.Random ran,
                                       int[] c)
                                throws java.lang.Exception

    `java.lang.Exception`

### nextPoint

    protected double nextPoint(double x0,
                               java.util.Random ran,
                               double range)
                        throws java.lang.Exception

    `java.lang.Exception`